## 4.1 Как хранить авторизационную информацию отдельно от плейбука.

В зависимости от метода авторизации нужная информация может передаваться в аргументах app_id & app_secret (пара аргументов), jwt (единичный аргумент) или user & password (пара аргументов). Однако, помещать данную информацию непосредственно в плейбук или роль может быть небезопасным, так как она позволяет любому, кто получил этот файл, осуществить доступ к контроллеру облачной инфраструктуры от лица данного пользователя.

Если вышеперечисленные параметры не указаны в плейбуке или роли, то Ansible модуль DECORT попытается использовать значения, заданные в соответствующих переменных окружения:


| Аргумент | Переменная окружения|
| ------ | ------ |
| app_id | DECORT_APP_ID |
| app_secret | DECORT_APP_SECRET |
| jwt | DECORT_JWT |
| user | DECORT_USER |
| password | DECORT_PASSWORD |

Поэтому для использования плейбука, не содержащего секретной информации, рекомендуется вместо внесения значений непосредственно в файл перед запуском провайдера установить нужные переменные окружения.